# Linked Open Data

The following Jupyter Notebooks showcase some of our work with Linked Open Data.

## [Viewer Links from BIBFRAME](ViewerlinksFromBibframe.ipynb)

Downloading data from the library services platform
[Alma](https://knowledge.exlibrisgroup.com/Alma) and loading the results into a [pandas](https://pandas.pydata.org/)
dataframe, we create an [xlsx file](ABOExamplesFromALMAextended.xlsx) with the catalogue metadata. Further we add links
to the digital object and the barcodes of the physical objects to the file.

## [Viewer Links from BIBFRAME with SRU](ViewerlinksFromBibframeWithSRU.ipynb)

Very similar to the above, but this time we make an SRU-Query in Alma.

## [Travelogues](Travelogues.ipynb)

Working together with other institutions on the [Travelogues Project](http://www.travelogues-project.info/), we needed
to extrect specific metadata from Alma, both catalogue data and LOD data.

## [SACHA Statistik Collection](SACHA Statistik Collection.ipynb)

Using [SPARQL](https://labs.onb.ac.at/en/tool/sparql/) and pandas we extract datasets with
a specific subject heading. Making use of [SACHA](https://iiif.onb.ac.at/) we then create a collection of the data we
queried.

## [OAI-PMH](OAI-PMH.ipynb)

We show how to use [Sickle](https://sickle.readthedocs.io/en/latest/) to first list all available sets and then count
the number of entries in one specific set.

## [Harvest ABO Marc](harvest_abo_marc.py)

Small script to harvest ABO metadata in Marc format via OAI-PMH.